%define anolis_release 2
Name:           python-mypy
Version:        1.2.0
Release:        %{anolis_release}%{?dist}
Summary:        A static type checker for Python
%{?python_provide:%python_provide python3-mypy}

# The files under lib-python and lib-typing/3.2 are Python-licensed, but this
# package does not include those files
# mypy/typeshed is ASL 2.0
License:        MIT and Apache-2.0 
URL:            https://github.com/python/mypy
Source0:        https://github.com/python/mypy/archive/v%{version}/mypy-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-typing-extensions
BuildRequires:  (python3-tomli if python3 < 3.11)

# Needed to generate the man pages
BuildRequires:  help2man
BuildRequires:  (python3dist(typed-ast) >= 1.4 with python3dist(typed-ast) < 2)
BuildRequires:  python3dist(mypy-extensions)

BuildArch:      noarch

%description
Mypy is an optional static type checker for Python.  You can add type
hints to your Python programs using the upcoming standard for type
annotations introduced in Python 3.5 beta 1 (PEP 484), and use mypy to
type check them statically. Find bugs in your programs without even
running them!

%package -n python3-mypy
Summary: A static type checker for Python
Requires: python3-typing-extensions

%description -n python3-mypy
Mypy is an optional static type checker for Python.  You can add type
hints to your Python programs using the upcoming standard for type
annotations introduced in Python 3.5 beta 1 (PEP 484), and use mypy to
type check them statically. Find bugs in your programs without even
running them!


%prep
%autosetup -n mypy-%{version} -p1
rm -vrf *.egg-info/

%build
%py3_build

%install
%py3_install

# Generate man pages
mkdir -p %{buildroot}%{_mandir}/man1
PYTHONPATH=%{buildroot}%{python3_sitelib} \
    help2man --no-info --version-string 'mypy %{version}-dev' \
        --no-discard-stderr -o %{buildroot}%{_mandir}/man1/mypy.1 \
        %{buildroot}%{_bindir}/mypy

PYTHONPATH=%{buildroot}%{python3_sitelib} \
    help2man --no-info --version-string 'mypy stubgen %{version}-dev' \
        --no-discard-stderr -o %{buildroot}%{_mandir}/man1/stubgen.1 \
        %{buildroot}%{_bindir}/stubgen

%files -n python3-mypy
%license LICENSE
%{python3_sitelib}/mypy
%{python3_sitelib}/mypy-*.egg-info
%{python3_sitelib}/mypyc
%{_bindir}/mypy
%{_bindir}/mypyc
%{_bindir}/dmypy
%{_bindir}/stubgen
%{_bindir}/stubtest
%{_mandir}/man1/mypy.1*
%{_mandir}/man1/stubgen.1*

%changelog
* Mon Mar 18 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.2.0-2
- Rebuild with python3.11

* Sun Apr 23 2023 Funda Wang <fundawang@yeah.net> - 1.2.0-1
- Import package for anolis 23
